Update missed call auto-message configuration
curl --request PUT \
--url https://your-instance.example.com/api/organizations/{organizationId}/missed-call-message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"missedCallMessage": "Hi {{contactName}}, sorry we missed your call. We'll get back to you shortly.",
"missedCallAutoMessageEnabled": true
}
EOFimport requests
url = "https://your-instance.example.com/api/organizations/{organizationId}/missed-call-message"
payload = {
"missedCallMessage": "Hi {{contactName}}, sorry we missed your call. We'll get back to you shortly.",
"missedCallAutoMessageEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
missedCallMessage: 'Hi {{contactName}}, sorry we missed your call. We\'ll get back to you shortly.',
missedCallAutoMessageEnabled: true
})
};
fetch('https://your-instance.example.com/api/organizations/{organizationId}/missed-call-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"missedCallMessage": "Hi {{contactName}}, sorry we missed your call. We'll get back to you shortly.",
"missedCallAutoMessageEnabled": true
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}Organizations
Update missed call auto-message configuration
Partially updates the missed-call message template (string up to 500 chars) and/or the missedCallAutoMessageEnabled flag. Restricted to ADMIN (own org) or SUPERADMIN.
PUT
/
api
/
organizations
/
{organizationId}
/
missed-call-message
Update missed call auto-message configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I